Bug 583301 - Review Request: whereami - Displays work location
Summary: Review Request: whereami - Displays work location
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL: http://pjp.dgplug.org/tools/whereami-...
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-17 19:03 UTC by pjp
Modified: 2014-09-25 00:18 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-24 03:48:10 UTC
tomspur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description pjp 2010-04-17 19:03:32 UTC
whereami is a tiny console application.

Whereami displays information about the machine(location) you are working on.
The information includes  host  name,  IP address, present working directory etc.
This is extremely useful for those, who tend to work remotely on several machines
at the same time.


SPEC: http://pjp.dgplug.org/tools/whereami.spec
SORC: http://pjp.dgplug.org/tools/whereami-1.0.tar.gz
SRPM: http://pjp.dgplug.org/tools/whereami-1.0-1.fc12.src.rpm

Thank you.

Comment 1 Thomas Spura 2010-04-18 09:39:06 UTC
Is there a reason, why you use %post and %postun for linking %{_bindir}/wmi?

It would be nicer, if you'd do that in %install and add that file to %files.

Comment 2 Robin Lee 2010-04-18 09:47:32 UTC
And if you made a link for the executable, make one for the manpage.

Comment 3 pjp 2010-04-19 06:25:58 UTC
  Hi, thanks for the comments.

I've made the changes, please have a look at these latest files.

SPEC: http://pjp.dgplug.org/tools/whereami.spec
SORC: http://pjp.dgplug.org/tools/whereami-1.0.tar.gz
SRPM: http://pjp.dgplug.org/tools/whereami-1.0-2.fc12.src.rpm

Thank you.

Comment 4 Thomas Spura 2010-04-19 06:56:24 UTC
Review:

Good:
- name ok
- rpmlint ok
$ rpmlint ./whereami-1.0-2.fc13.src.rpm x86_64/whereami-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
- description ok
- %prep ok
- %install looks a bit crazy, but ok
- %clean there
- %files ok
- macros everywhere
- no libs
- no .la
- arch ok
- builds in mock:
  INFO: Done(whereami-1.0-2.fc13.src.rpm) Config(default) 1 minutes 6 seconds
- %build see needswork


Needswork/shouldwork:
- configure: WARNING: unrecognized options: --disable-static
- please use INSTALL="install -p" to preserve timestamps

##############################################################################

There are only SHOULDS left.

##############################################################################

APPROVED

Comment 5 Thomas Spura 2010-04-19 06:57:42 UTC
Aah forgot to add:

Good:
- license ok: GPLv3+
- source matches upstream: 775b7544bcf45dfde962a357fcccc407

Comment 6 pjp 2010-04-19 07:16:21 UTC
Cool, that was fast. :)

Thank you.

Comment 7 pjp 2010-04-19 09:26:48 UTC
New Package CVS Request
=======================
Package Name: whereami
Short Description: Displays work location
Owners: pjp
Branches: F-11 F-12 F-13 EL-5
InitialCC: pjp

Comment 8 Kevin Fenzi 2010-04-21 04:13:01 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-04-21 05:55:25 UTC
whereami-1.0-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/whereami-1.0-2.fc13

Comment 10 Fedora Update System 2010-04-21 05:55:30 UTC
whereami-1.0-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/whereami-1.0-2.el5

Comment 11 Fedora Update System 2010-04-21 05:55:35 UTC
whereami-1.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/whereami-1.0-2.fc12

Comment 12 Fedora Update System 2010-04-21 21:56:02 UTC
whereami-1.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-21 22:01:36 UTC
whereami-1.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-14 01:06:58 UTC
whereami-1.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 pjp 2014-08-22 17:17:25 UTC
Package Change Request
======================
Package Name: whereami
New Branches: epel7
Owners: pjp

Comment 16 Gwyn Ciesla 2014-08-22 17:55:55 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2014-09-02 05:32:43 UTC
whereami-1.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/whereami-1.0-2.el6

Comment 18 Fedora Update System 2014-09-02 05:32:50 UTC
whereami-1.0-9.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/whereami-1.0-9.el7

Comment 19 Fedora Update System 2014-09-02 21:33:00 UTC
Package whereami-1.0-9.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing whereami-1.0-9.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2388/whereami-1.0-9.el7
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2014-09-24 03:48:10 UTC
whereami-1.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2014-09-25 00:18:54 UTC
whereami-1.0-9.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.